put /api/v1/projects/{project_name}/live/liveEvents/{name} cURL JavaScript Python Go Java C# curl -X PUT "https://app.mk.io/api/v1/projects/{project_name}/live/liveEvents/{name}" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"metadata": {
"displayName": "string",
"labels": {
"key": "string"
}
},
"spec": {
"inputs": [
{
"contentName": "channel-1",
"flowName": "flow-1",
"refiner": {
"flow": {
"name": "string"
},
"labelMatch": {
"key": "string",
"value": "string"
}
},
"sourceName": "source-1",
"transformInput": "encoding/input_1"
}
],
"outputs": [
{
"contentName": "string",
"destinationName": "production-1",
"refiner": {},
"transformOutput": "encoding/output_1",
"transport": {
"maxConnections": 10
}
}
],
"refiner": {},
"siteName": "world",
"state": "Running",
"transform": {
"type": "LiveChannel",
"archiveWindowLength": "string",
"assetName": "string",
"assetPath": "string",
"encodingLive": {
"advancedSettingsName": "string",
"configOverrides": {
"type": "application/json-patch+json",
"operations": [
{
"op": "add",
"path": "string",
"search": "string",
"value": null
}
]
},
"configRef": {
"name": "string",
"version": "latest"
},
"configValues": {
"audio1label": "Spanish",
"audio1lang": "spa",
"audio1pid": 257,
"epochts": false
}
},
"streamConditioning": {
"advancedSettingsName": "string",
"configOverrides": {
"type": "application/json-patch+json",
"operations": [
{
"op": "add",
"path": "string",
"search": "string",
"value": null
}
]
},
"configRef": {
"name": "string",
"version": "latest"
},
"configValues": {
"audio1label": "Spanish",
"audio1lang": "spa",
"audio1pid": 257,
"epochts": false
}
}
}
}
}' 200 The replaced Live Event. Example Schema
200 · The replaced Live Event. 201 · The created Live Event. 400 · Bad Request 401 · Unauthorized 403 · Forbidden 404 · Not Found 409 · Conflict 429 · Too Many Requests 500 · Internal Server Error {
"kind" : "string" ,
"metadata" : {
"created" : "2024-01-01T00:00:00Z" ,
"createdBy" : "00000000-0000-0000-0000-000000000000" ,
"createdByEmail" : "string" ,
"displayName" : "string" ,
"id" : "00000000-0000-0000-0000-000000000000" ,
"labels" : {
"label1" : "value1" ,
"label2" : "value2"
},
"name" : "string" ,
"updated" : "2024-01-01T00:00:00Z" ,
"updatedBy" : "00000000-0000-0000-0000-000000000000" ,
"updatedByEmail" : "string"
},
"spec" : {
"inputs" : [
{
"contentName" : "channel-1" ,
"flowName" : "flow-1" ,
"refiner" : {
"flow" : {
"name" : "string"
},
"labelMatch" : {
"key" : "string" ,
"value" : "string"
}
},
"sourceName" : "source-1" ,
"transformInput" : "encoding/input_1"
}
],
"outputs" : [
{
"contentName" : "string" ,
"destinationName" : "production-1" ,
"refiner" : {},
"transformOutput" : "encoding/output_1" ,
"transport" : {
"maxConnections" : 10
}
}
],
"refiner" : {},
"siteName" : "world" ,
"state" : "Running" ,
"transform" : {
"type" : "LiveChannel" ,
"archiveWindowLength" : "string" ,
"assetName" : "string" ,
"assetPath" : "string" ,
"encodingLive" : {
"advancedSettingsName" : "string" ,
"configOverrides" : {
"type" : "application/json-patch+json" ,
"operations" : [
{
"op" : "add" ,
"path" : "string" ,
"search" : "string" ,
"value" : null
}
]
},
"configRef" : {
"name" : "string" ,
"version" : "latest"
},
"configValues" : {
"audio1label" : "Spanish" ,
"audio1lang" : "spa" ,
"audio1pid" : 257 ,
"epochts" : false
}
},
"streamConditioning" : {
"advancedSettingsName" : "string" ,
"configOverrides" : {
"type" : "application/json-patch+json" ,
"operations" : [
{
"op" : "add" ,
"path" : "string" ,
"search" : "string" ,
"value" : null
}
]
},
"configRef" : {
"name" : "string" ,
"version" : "latest"
},
"configValues" : {
"audio1label" : "Spanish" ,
"audio1lang" : "spa" ,
"audio1pid" : 257 ,
"epochts" : false
}
}
}
},
"status" : {
"deviceDisplayName" : "Device 1" ,
"deviceName" : "device-1" ,
"info" : "There was an issue with start due to a mismatch of Template inputs and configured inputs." ,
"inputs" : [
{
"contentDisplayName" : "Channel 1" ,
"contentName" : "channel-1" ,
"deviceInterfaceName" : "eth0" ,
"networkDisplayName" : "Internet" ,
"networkName" : "internet" ,
"sourceDisplayName" : "Channel 1 SRT" ,
"sourceName" : "channel-1-srt" ,
"sourceShortId" : "a1b2c3d4e5f6" ,
"sourceUrl" : "srt://10.10.10.1:6000" ,
"upstreamFlowName" : "channel-1-encode"
}
],
"metrics" : {
"mk_resource_status" : [
{
"labels" : {
"mkio_stage" : "encode"
},
"value" : 0
},
{
"labels" : {
"mkio_stage" : "output"
},
"value" : 0
},
{
"labels" : {
"mkio_stage" : "resource"
},
"value" : 0
}
]
},
"monitoring" : {
"key" : {
"metadataUrl" : "string" ,
"thumbnailUrl" : "string"
}
},
"outputs" : [
{
"contentDisplayName" : "string" ,
"contentName" : "string" ,
"destinationDisplayName" : "production-1" ,
"destinationUrl" : "srt://10.10.10.2:6000" ,
"deviceInterfaceName" : "eth0" ,
"downstreamFlowNames" : [
"string"
],
"networkDisplayName" : "Internet" ,
"networkName" : "internet" ,
"transport" : {
"latency" : 10 ,
"maxBitrate" : 0 ,
"maxConnections" : 10
}
}
],
"shortId" : "a1b2c3d4e5f6" ,
"siteDisplayName" : "World" ,
"state" : "Started" ,
"transform" : {
"streamPersonalization" : {
"hostName" : "string"
}
}
}
}